For AI agents: the complete documentation index is available at /llms.txt, the full documentation bundle is available at /llms-full.txt, and this page is available as Markdown at /api/exchange-rates/get-v1-exchange-rate.md.
  • English
  • Get exchange rate using rate observations

    Generated from the Finity OpenAPI specification.

    Base URLhttps://api.finity.com.co

    Exchange Rates

    GET/v1/rates

    Get exchange rate using rate observations

    Returns a rate using the new rate-observations flow when the enable_v2_exchange_rate feature flag is enabled for the authenticated user. Observation validity is 8 seconds.

    Bearer token required

    Request

    NameLocationTypeRequiredExample
    fromqueryUSD | COPYesUSD
    toqueryCOP | USDYesCOP

    Responses

    200The exchange rate has been successfully retrieved.
    id: string
    from_currency: string
    to_currency: string
    rate: number
    expires_at: string (date-time)
    valid_for_seconds: integer
    400Unsupported currency pair or missing parameters.
    500No valid rate observation is available.

    Try it live

    Live request

    Try this endpoint

    Configure the request and send it directly to the Finity API.

    GET
    Code language

    Authentication

    Use a Bearer token to authorize this request.

    Optional

    Parameters

    Provide the values required by this endpoint.

    Request URLProduction
    GEThttps://api.finity.com.co/v1/rates?from=USD&to=COP
    Generated Shell requestReady to copy
    curl -X GET \
      'https://api.finity.com.co/v1/rates?from=USD&to=COP' \
      -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
      -H 'Content-Type: application/json'